commit 1e3ae11d125f5146dd6821161e17522bae702e71
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 21:10:22 2011 -0700

    xset 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6572d75b102b463c974a5969997fc646d36a1797
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 15 18:12:36 2011 -0700

    Remove direct call to Solaris nanosleep system call
    
    Attempted to workaround nanosleep() being only in POSIX realtime
    extensions library, but both usleep() & nanosleep() are in libc now,
    so not useful anymore, nor was it ever officially supported.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 9c55efa1b36173aa7d768a55990ed7fe2c4f6034
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 15 18:07:57 2011 -0700

    Mark error() & usage() functions as _X_NORETURN
    
    Requires xproto >= 7.0.17
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8093ecf2ecd112914b9399bab0c413369c9057ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 15 18:02:33 2011 -0700

    Give better error for "xset dpms force" without argument
    
    Changes from "xset:  unknown option force" to
    "xset:  missing argument to dpms force"
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 03050fcce76cd3238f1cd15fb2f2298abda53727
Author: Eitan Adler <lists@eitanadler.com>
Date:   Fri Jan 28 00:06:20 2011 -0500

    Print pixel colors in hex not decimal
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 394f55099bbca6a23073ca64d97973bdc2287ce7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:57 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5d713348190113b557bf1d721f27eeb467abf44a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:37 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3797be0290276bcf7d71bee7c10630a098e82059
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 84c928e4a838458714d4abd5dafa56e3cf5e0ccb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:12:08 2011 -0500

    config: remove unrequired AC_SUBST([*_LIBS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 75cf4ae928faa34b31cbebbcb519da9272f5e132
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:33:48 2011 -0500

    config: remove unrequired AC_SUBST([*_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8a3ad532fc8e00ea5066355a783cb270315596fe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 10 20:02:19 2010 -0800

    xset 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d75ab3dcae8bcb022e87fd73c9f798421d040c46
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 9 18:16:27 2010 -0800

    Strip trailing whitespace
    
    Generated via: perl -i -p -e 's{\s+$}{\n}' *
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 33580bb84fb5ca6d1a49c1f1ac7b785fe4f92d11
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 9 18:13:51 2010 -0800

    Restore man page copyright accidentally removed in ce3f6a73c2beef
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d807d97e8387a38b6a9324912b9c65662949038
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 9 17:13:41 2010 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM sttaements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit edeb291f81424ec04798618379ad252c122377ec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 9 17:11:42 2010 -0800

    config: AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b4a8121b1cb2c0dc643460ee7c9363dc0d83a38
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 9 17:09:45 2010 -0800

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ce3f6a73c2beef0c486575f7797d92b44a718973
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 41743c6fbea9f58dff4e9fe200837fe718eefc9d
Author: Bryce Harrington <bryce@canonical.com>
Date:   Tue Aug 10 12:46:14 2010 -0400

    Spelling fix in help docs.
    
    Reviewed-by: Robert Hooker <sarvatt@ubuntu.com>
    Signed-off-by: Bryce Harrington <bryce@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5948a0e2095c4e032dd93e22a65077ff81288666
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Fri Aug 6 00:26:48 2010 -0500

    Use silent rules
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d36afd69f0c5129b6b50c9062257560342d81ebd
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Fri Aug 6 00:26:47 2010 -0500

    Use AC_PROG_SED and MAN_SUBSTS in macros-1.8
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0ac4f20a863d69b99193da26d468397827c672a1
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Fri Aug 6 00:26:46 2010 -0500

    Remove unused variable warning with !XF86MISC
    
    xset.c: In function 'query':
    xset.c:1317: warning: unused variable 'dummy'
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c963b0cb393630962e9094e849b291c539b655ca
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 6 13:10:36 2010 +1000

    xset 1.2.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fd058da6c1931fa824dd8c07e9130054176fedd7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 26 17:50:23 2010 -0400

    xprint: remove conditional code regarding xprint
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a69c6665e3ad30cfc86acbb7e2c75a0b7b6efa57
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 26 17:49:09 2010 -0400

    config: remove xprint option
    
    xprint/xaw8 are obsolete and have been removed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a6661974f8bfc0761e5f4e3a1970448e49ef6032
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:07 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 068dd4ce2ecb8d0225a60c736df8cc102e6edf01
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 21 08:34:37 2009 +1000

    Remove two unused variables.
    
    xset.c: In function ‘query’:
    xset.c:1388: warning: unused variable ‘ind’
    xset.c:1387: warning: unused variable ‘state’
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 9caf24453cc4c2443bda9042a68a953b75ed46f1
Author: Simon Thum <simon.thum@gmx.de>
Date:   Sun Oct 18 17:49:41 2009 +0200

    xset: update info about pointer acceleration
    
    Also, try to avoid confusion in the description of
    what acceleration means.
    
    Signed-off-by: Simon Thum <simon.thum@gmx.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ee1e2d02454a8e4c36bbda295f6bae639180b9d8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 66b43cf00484f8c03bbfc1dafe38a9d9eaf6476b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit dbe65fac2a67e5408d683db889995cfe4857b8dc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 26ac8d55dc2562a377d02fe6e227f576228b23e0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 66e958486043099d813006fc684d5a1d238b1414
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit c4d0feaff96cec160b1d81977525bbc5e5406352
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:21 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit c40fd8f7d4b6ffa068fa692134218d8fb3f2a40e
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Oct 13 11:35:08 2009 -0700

    Added --without-{xf86misc,xprint,fontcache} configure time options
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 434c62e22aeed94b7b84ec613ba066ac6aa7c14b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 15:48:57 2009 -0700

    xset 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit dbd3a05ab990f5d2827b84ab81e7b1a19cd0b786
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 15:42:08 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3341f135515f6f2e5b0c40f5ec0a8fb59d4cb1ed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jun 16 16:34:15 2009 -0700

    Fill in README & COPYING files
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 9ee8b074cb8f8de84aafebcc22c6c266371693ec
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jun 16 13:14:47 2009 -0700

    XKB named indicator support for led state query/set
    
    xset q now lists XKB named indicator states in addition to led bitmask
    Sample output:
     Keyboard Control:
      auto repeat:  on    key click percent:  0    LED mask:  0000000a
      XKB indicators:
        00: Caps Lock:   off    01: Num Lock:    on     02: Scroll Lock: off
        03: Compose:     on     04: Shift Lock:  off    05: Group 2:     off
        06: Mouse Keys:  off
     [...]
    
    New options "xset led named <name>" and "xset -led named <name>" allow
    turning named leds/virtual indicators on & off.
    
    ('named' keyword is necessary to avoid ambiguity if an XKB indicator
     is given a numeric name or a name that matches an existing xkb option
     due to xset's horrible historic command line syntax model.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8ce473c45da07eb82537509a4d14ccb50262bfa7
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 29 13:57:47 2009 -0700

    Avoid warning from "xset r rate" when XF86Misc extension is not present
    
    - Since XF86Misc is only used if XKB is not present, don't check for
      XF86Misc unless XKB is not present
    - If we do check for XF86Misc, use QueryExtension instead of QueryVersion
      to avoid Xlib printing missing extension warning message when it's not
      found (such as in Xorg 1.6 and later).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 30833b82734fb2d77657b4672eaf622c30990471
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Apr 28 16:11:56 2009 +0200

    Fix typos in xset manpage
    
    Debian bug#525255 <http://bugs.debian.org/525255>
    Reported-by: "A. Costa" <agcosta@gis.net>

commit 3d1146293d84cecaff18aa44b95539910e24ef11
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 26 18:03:23 2009 -0200

    Correct make distcheck and most sparse warnings.

commit 9f79fc8957d595cc9f7131ee5230b5bb3aae0679
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 6 17:29:45 2008 -0500

    xset 1.0.4

commit b6343fa846eeadb6736f383577b91dbb46d46971
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 15 18:11:25 2008 -0800

    Delete duplicated #include statements

commit e92294748383b0eaca6cb7f3883cf909077963a1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 15 18:10:37 2008 -0800

    Convert function declarations from K&R to ANSI C

commit 685fe4692583d383ffec8e0db52ea055fca0ed11
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 15 17:54:14 2008 -0800

    Make code formatting consistent
    
    Too many different indent styles/levels made code hard to read

commit 5dfbc61487623448c82d043c4f4f29d5e047d498
Author: gsr.bugs <gsr.bugs@infernal-iceberg.com>
Date:   Thu Nov 15 00:04:34 2007 +0200

    Manpage: Add mention of mouse acceleration with zero threshold
    
    xset m A/B 0 gives a different behaviour, smooth acceleration, than typical
    A/B C (C not zero) which is two speed. This behaviour is, for some people,
    nice. But the point is that it is not documented in man page, so nobody
    can just test it except if discovered due some reason more complex than read
    the docs.

commit 6d56c1f8d25ce84c797c3b72070073bc44d1a7ac
Merge: c4f7c40 3decc85
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 06:02:50 2007 -0400

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/app/xset

commit c4f7c402ad52c784c01655b5d3a9d4d33c6598d6
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:47 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 3decc85623f023a31b8c19526b29092a9f2d0357
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 27 16:37:20 2007 -0700

    Version bump: 1.0.3

commit 4eca5d1de51926b640fd3d38db1a683740c64dd0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 27 16:36:47 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 44d9468edbbbb19d73c488345ceef1073d1df3a7
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 27 15:56:14 2007 -0700

    Use autoconf to check for usleep before falling into twisty #ifdef maze

commit ef35876a808a3cfbefecf59434118cb4d5cd3c3e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 27 15:55:30 2007 -0700

    Add *~ to .gitignore to skip emacs/patch droppings

commit bbf68f536efd4f4e03ccaee9ebcd1438c5b0a66b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 27 15:35:25 2007 -0700

    Change xset_CFLAGS to AM_CFLAGS to make automake-1.10 happier

commit f7841444d4f12be78bc12c15190318819598c8a1
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:25:08 2007 -0400

    Rename .cvsignore to .gitignore

commit c55edac5a9f7d48daf67bba9fb2aebc28d5f10ce
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Tue Jan 2 10:20:00 2007 -0800

    Bug #9524: Markup problems on xset.1x
    
    X.Org Bugzilla #9524 <https://bugs.freedesktop.org/show_bug.cgi?id=9524>

commit 7a1add2942ad1e8c0f606edd5990a266a1e8a5ac
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:47:29 2006 +0000

    Bump to 1.0.2

commit 195524643a6f050e6d55f4c0000c8e39319c7b14
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Apr 7 01:20:35 2006 +0000

    Free modifier map when done with it (Coverity #823 & 824)
    Free Xkb keyboard description when done with it (Coverity #825)

commit bd5af2a53e631e36199af000f97f6eed8681eb8c
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:54 2005 +0000

    Update package version for X11R7 release.

commit 39c3c423c2b2bd292861d738cbc0311f6728b13f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:47 2005 +0000

    Stub COPYING files

commit 3e609b20aebbf40ec8ac2bc6939e4f94bbef31f8
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:11 2005 +0000

    Update package version number for final X11R7 release candidate.

commit ba06c6414b1ed96172a361b9a596c3992c99ea90
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:25 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 7008ce4c7bd51712540e6fe08d835d856616b4b4
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:27 2005 +0000

    Update package version number for X11R7 RC3 release.

commit b357ad9833e7a559974fa6276777f11aecf15f68
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:47 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 48c40b02e98c5ff74a31ddad95cd3161c6c212d5
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:08 2005 +0000

    Another pass at .cvsignores for apps.

commit 1b860c0dc7c6c780485083fa1eb0001eab4d740b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 21 03:14:16 2005 +0000

    Change dependency from xmu to xmuu since the full xmu (with all its baggage
        like Xt) is not needed here.

commit 538c64f6c89d12934bab7f17a21dbd5b59accd7d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:55 2005 +0000

    Add/improve .cvsignore files for apps.

commit eeb3a8d403e4f4f996ff68b5b45a93150263aa7a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 20 18:21:51 2005 +0000

    Fix typo in #define that caused Xprint support to not be built in modular
        tree.

commit b0679cb89861e1aec2700a22ee8be0570819f9ce
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 20 04:11:07 2005 +0000

    Fix typo in XSET_LIBS setting so libXext is linked in properly.

commit a85959a46e205dc63b9d13bcfb0a22f246d82f95
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:38 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 315c08c29b58805884556c3709a57b98bd05bfd3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:22 2005 +0000

    Update package version number for X11R7 RC2 release.

commit f30d091c1d8a9b8912c981a1c1dbde57c68d4ad5
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Oct 20 23:27:03 2005 +0000

    Fix check for fontcache to look for "xfontcache" (Bill Crawford)

commit 66ab568492b90ef9783ac754f6cf418858102c2d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:57 2005 +0000

    Update package version number for RC1 release.

commit bfa61c748fd43a5fda1ec7353d28ade31a6bb9bb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:25 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 558b3c03372a38701963e1af3d93469768b54af9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:48 2005 +0000

    Use sed to fill in variables in man page

commit 5b2b432ab4681d374537ab1d104fc016ab553135
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Aug 31 09:37:27 2005 +0000

    Bump to 0.99.1.

commit 5390e188325ff1e65d2c33531ab8513a33686f58
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Aug 29 14:16:25 2005 +0000

    Add config.h inclusion, defines based on autoconf header checks.

commit df7dc57880eb3e1e0a2142653339226d00a9aa33
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Aug 29 14:15:39 2005 +0000

    Add support for more extensions.

commit b56559798fb7b6331df16f89f9fbfe9639b5ddc4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:32 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit b4095b20c4f68779607f583938edaf30f265873a
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:37 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 30d354e3fa21954d67cadfee8438e8d1d5563c81
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:32:04 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 6467b9f9b57d56d502e97260261745742a7645c7
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 14 22:40:16 2005 +0000

    Add _BSD_SOURCE to lots of applications - patch from Stefan Dirsch

commit aba3f11253842b810676ae26efb20f9658182097
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Jul 1 18:21:15 2005 +0000

    Build system for xset

commit 287b04adcd4d01118902bd27bbb91007aad93a62
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sun Mar 20 20:45:58 2005 +0000

    //bugs.freedesktop.org/show_bug.cgi?id=2258) attachment #2166
        (https://bugs.freedesktop.org/attachment.cgi?id=2166) "xset q" (query)
        should not print an error message ('Xlib: extension "XFree86-Misc"
        missing on display ":35.0".') when the "XFree86-Misc" is not available
        on the Xserver.

commit 1cfa1c94b01303aa9f1c3327e3bbdb53834d0322
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sun Oct 17 23:08:07 2004 +0000

    Fix for https://freedesktop.org/bugzilla/show_bug.cgi?id=1659 - Fix
        Imakefile bug which caused the Xprint support in "xset" not being
        build.

commit b9e86e763abd12686a648c4c4a5ecc20e017170e
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Sep 2 05:50:38 2004 +0000

    Clean up defines for Xprint support and fix BuildServersOnly build for
        libXaw.

commit 735853aa5531434c951de4c2cd2b75b8ce7148ba
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Mon Aug 16 16:36:27 2004 +0000

    As discussed and agreed on on the release-wranglers meeting of August 16,
        I'm committing the patch from bug #1060 to back out unconditional
        Xprint functionality.
    Back out Xprint changes.
    Revert xman to CVS of June 5, revert xlogo to CVS of May 8, revert xedit to
        CVS of April 25, to back out unconditional Xprint support.
    Fix up Xprint config logic to be like the rest of the extensions:
        BuildXprint is a one-stop option for disabling everything Xprint
        related. XprtServer controls building Xprt, BuildXprintLib controls
        building Xprint libs and BuildXprintClients controls building clients
        related to Xprint. BuiltXprint defaults to YES and the other options
        respects relevant settings, i.e. BuildServer and BuildServersOnly.
    Build Xaw regardless of BuildXprintLib setting.
    Only build xphelloworld, xplsprinters and xprehashprinterlist when
        BuildXprintClients it YES. Disable building xmore, it has always
        supported XawPrintShell.
    Make Xprint support depend on BuildXprintLib.

commit 7ee8234d82f9e3842f33a3861f8a18de834a0910
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Aug 9 22:37:23 2004 +0000

    Fix install problem on platforms not using xorg.cf/xfree86.cf (Bug #339,
        Harold L. Hunt II, Alexander Gottwald).
    Fix crash when using X core font in zh_CN.UTF-8 locale (Bug #368, Yu Shao,
        David Dawes).
    Fix glXMakeCurrent(Dpy, None, NULL) crash (Bug #719, Adam Jackson).
    HP-PA build fix (Bug #828, Guy Martin, Paul Anderson).
    Fix SDK build for GATOS and Wacom driver (Bug #829, Bryan Stine).
    Fix attempt to read video ROM before enabling it (Bug #843, Ivan
        Kokshaysky, Mike A. Harris).
    Fix detection of primary adapter (Bug #843, Ivan Kokshaysky, Mike A.
        Harris).
    Clarify xset man page description of how to use the keyboard repeat rate
        settings (Bug #846, Mike A. Harris).
    Fix problem where print-screen key would get remapped to sys-req in certain
        keymaps, which broke GNOME printscreen functionality (Bug #847, Owen
        Taylor).
    Fix several render problems:
    - MMIO mode support
    - Hang on IGP chips
    - VT switching hang
    - 3D render corruption (Bug #922, Hui Yu).

commit 602012ef6ef5681067c23893760f94df1b2c493a
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed May 5 01:49:05 2004 +0000

    Fix for http://pdx.freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=597 -
        "xset" should have an option to rehash the list of available printers

commit ccd079eb8051132dc319c159b85be7c925583e91
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:55:04 2004 +0000

    Merging XORG-CURRENT into trunk

commit 5e264049678aff7e12fc075556cba230df9d5f12
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:44 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit ee8f27ff967efd0087973d593c86d8a9ede51f9f
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:18 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 71ae2808ce7f1e6b9fe39b2cb5b7cf3c4d476fd7
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:26 2004 +0000

    readding XFree86's cvs IDs

commit c600dfa9ac8d188e066f72885124b3f797c05762
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:17 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit b6c5bf83f4b1b89c9d5015c084de1776a36891f1
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:17 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 603734e7dff1f89e2518994fa76c93a6c168e1bb
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    XFree86 4.3.0.1

commit ba9612df0697182f5c4ebd5852da1e4da479101e
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:55 2003 +0000

    R6.6 is the Xorg base-line
